Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004713 [JEDI VCL] 00 JVCL Components crash always 2009-03-20 15:11 2009-03-21 15:54
Reporter freejay View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.36
Summary 0004713: TJvCaptionButton.Position <> 0 AND WindowsXP-Theme = Blue leads to crash (Delphi 2009)
Description Reproduction steps:

1. Create new VCL-Form application
2. Put an TJvCaptionButton on the form
3. Set TJvCaptionButton.Position in object inspector to eg 3 (in fact: <> 0)
4. Run application

>>> The Application will crash on computers who are set to the blue XP-Theme, on all other computers the application will run without problems.
Additional Information This problem occurs with jvcl version 3.36 used under Delphi 2009. It did not happen with Delphi 2007 and jvcl 3.33. I didn't test other Delphi/jvcl combinations.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0015316)
grubste (reporter)
2009-03-20 19:57

The same happened to me as well, but Andreas Hausladen was so kind to fix this on 2009-03-09.
Please use a daily revision newer than 2009-03-09 of the JVCL library or just load the JvCaptionButton.pas from the SVN Repository.
(0015318)
AHUser (developer)
2009-03-21 15:54

Already fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-03-20 15:11 freejay New Issue
2009-03-20 19:57 grubste Note Added: 0015316
2009-03-20 19:57 grubste Issue Monitored: grubste
2009-03-21 15:54 AHUser Note Added: 0015318
2009-03-21 15:54 AHUser Status new => resolved
2009-03-21 15:54 AHUser Fixed in Version => Daily / SVN
2009-03-21 15:54 AHUser Resolution open => fixed
2009-03-21 15:54 AHUser Assigned To => AHUser
2009-03-25 14:12 grubste Issue End Monitor: grubste


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker